Bug 1129181 - HA: The horizon is available on the private network (instead of on public). Horizon needs to be exposed to public network.
Summary: HA: The horizon is available on the private network (instead of on public). H...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z1
: Installer
Assignee: Scott Seago
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 09:32 UTC by Leonid Natapov
Modified: 2014-10-01 13:26 UTC (History)
6 users (show)

Fixed In Version: ruby193-rubygem-staypuft-0.3.4-2.el6ost
Doc Type: Bug Fix
Doc Text:
Previously, Red Hat Enterprise Linux OpenStack installer only configured Dashboard for a single network. Consequently, Dashboard was only available on the provisioning network. With this update, network configuration was added, and public endpoints are now available on the Public API network.
Clone Of:
Environment:
Last Closed: 2014-10-01 13:26:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1350 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Bug Fix Advisory 2014-10-01 17:22:34 UTC

Description Leonid Natapov 2014-08-12 09:32:59 UTC
HA: The horizon is available on the private network (instead of on public).
The horizon and console need 2 VIP - one on the public and one on the private network.

Comment 2 Mike Burns 2014-08-12 12:04:49 UTC
This requires network management which is coming in a later release

Comment 3 Arthur Berezin 2014-08-14 12:37:49 UTC
Limiting access to Horizon to internal networks only makes it impossible to use Horizon, and It will take some time to complete the networking phase.

Can allow access from all networks and add the restriction when we complete networking phase?

Comment 6 Leonid Natapov 2014-09-22 13:38:23 UTC
ruby193-rubygem-staypuft-0.3.5-1.el6ost.noarch
Horizon IP is on Public API network.

Comment 8 errata-xmlrpc 2014-10-01 13:26:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1350.html


Note You need to log in before you can comment on or make changes to this bug.